/* * =========================================== */
/* * ================= FOOTER ================== */
/* * =========================================== */

footer {
  margin-top: 68px;
  background-color: var(--color-secondary);
}

.footer-container {
  padding: 0 6%;
  margin: 0 auto;
  position: relative;
  /* Needed to position the background div */
}

.footer-background {
  position: relative;
  bottom: 3vw;
  right: 0vw;
  width: 100%;
  height: 12vw;
  background-color: white;
  z-index: 0;
}

.footer-content {
  margin-bottom: 40px;

  display: flex;
  align-items: center;
  flex-direction: column;
}

.footer-card {
  width: 100%;
  height: 340px;
  padding: 0 8%;
  margin-bottom: 68px;
  border-radius: 30px;
  background: url("../images/backgroundfooter.png"),
    linear-gradient(rgba(114, 0, 122), rgba(114, 0, 122));
  background-size: contain;
  background-position: 50% 50%;

  margin-top: -170px;
  z-index: 1;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 7%;
}

.footer-card h2 {
  color: #fff;
  margin-bottom: 10px;

  font-size: 40px;
  font-weight: 700;
  line-height: 52px;
}

.footer-card p {
  color: #f4f5ff;

  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
}

.footer-card .app-buttons {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer-options {
  display: flex;
  flex-direction: row;
  gap: 50px;
}

.footer-links {
  display: flex;
  align-items: center;
}

.footer-links a {
  margin: 0 20px;
  text-decoration: none;

  font-size: 16px;
  font-weight: 700;
  line-height: 20px;
  text-align: left;
  color: white;
}

.footer-links a:hover {
  text-decoration: underline;
}

.footer-bottom {
  padding: 42px 0;
  border-top: 1px solid rgba(255, 255, 255, 0.2);

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-bottom p {
  margin: 0;

  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  text-align: left;
  color: white;
}

.footer-bottom-links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 7px;
}

.footer-bottom-links span {
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  color: white;
}

.footer-bottom-links a {
  text-decoration: none;

  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
  text-align: left;
  color: white;
}

.footer-bottom-links a:hover {
  text-decoration: underline;
}

.social-media-icons {
  display: flex;
}

.social-media-icons a {
  margin: 0 8px;
}

.social-media-icons img {
  width: 40px;
  height: 40px;
}

@media (max-width: 1060px) {
  .footer-card {
    height: auto;
    padding: 40px;

    flex-direction: column;
    gap: 50px;
  }

  .footer-card .card-words * {
    text-align: center;
  }

  .footer-card .app-buttons {
    flex-direction: row;
  }
}

@media (max-width: 760px) {
  .footer-bottom {
    flex-direction: column-reverse;
    gap: 20px;
  }
}

@media (max-width: 630px) {
  .footer-options {
    flex-direction: column;
    align-items: center;
  }

  .footer-card .app-buttons {
    flex-direction: column;
  }
}
